// -*- mode: C++ -*-

#ifndef ST_ELECTRON_MAKER
#define ST_ELECTRON_MAKER

class TFile;
class TNtuple;

class StMuEvent;
class StMuTrack;

#include "StMaker.h"

class StElectronMaker : public StMaker {
public:
  StElectronMaker(const char* name = "StElectronMaker") : StMaker(name) {}
  ~StElectronMaker() {}

  int Init();
  int Make();
  int Finish();

private:
  bool accept(StMuEvent* event) const;
  bool accept(StMuTrack* track) const;

  TFile* mFile;
  TNtuple* mTuple;

  ClassDef(StElectronMaker, 1);
};

#endif
